com.lowagie.text.pdf

## Class PdfPattern

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfStream
      - - com.lowagie.text.pdf.PdfPattern

    public class PdfPattern
    extends PdfStream

A `PdfPattern` defines a ColorSpace

See Also:
  `PdfStream`

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.PdfStream

`BEST_COMPRESSION, BEST_SPEED, compressed, compressionLevel, DEFAULT_COMPRESSION, ENDSTREAM, inputStream, inputStreamLength, NO_COMPRESSION, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfPattern(PdfPatternPainter painter)` Creates a PdfPattern object.
`PdfPattern(PdfPatternPainter painter, int compressionLevel)` Creates a PdfPattern object.

### Method Summary

### Methods inherited from class com.lowagie.text.pdf.PdfStream

`flateCompress, flateCompress, getRawLength, superToPdf, toPdf, toString, writeContent, writeLength`

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PdfPattern

    PdfPattern(PdfPatternPainter painter)

Creates a PdfPattern object.

Parameters:
  `painter` - a pattern painter instance

#### PdfPattern

    PdfPattern(PdfPatternPainter painter,
              int compressionLevel)

Creates a PdfPattern object.

Parameters:
  `painter` - a pattern painter instance
  `compressionLevel` - the compressionLevel for the stream
Since:
  2.1.3